# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TDBSqlJsonArrayFormat

Packages that use TDBSqlJsonArrayFormat
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TDBSqlJsonArrayFormat in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TDBSqlJsonArrayFormat
Modifier and Type
Class
Description
`class`
`TDBSqlJsonArrayFormat`
`class`
`TDBSqlJsonArrayFormat`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TDBSqlJsonArrayFormat
Modifier and Type
Method
Description
`TDBSqlJsonArrayFormat`
TDBSqlJsonArrayFormat.`deepCopy()`
`TDBSqlJsonArrayFormat`
TDBSqlResultFormat.`getJsonArrayFormat()`
`TDBSqlJsonArrayFormat`
TDBSqlJsonArrayFormat.`setCompressionCodec(TDBSqlCompressionCodec compressionCodec)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TDBSqlJsonArrayFormat
Modifier and Type
Method
Description
`int`
TDBSqlJsonArrayFormat.`compareTo(TDBSqlJsonArrayFormat other)`
`boolean`
TDBSqlJsonArrayFormat.`equals(TDBSqlJsonArrayFormat that)`
`static TDBSqlResultFormat`
TDBSqlResultFormat.`jsonArrayFormat(TDBSqlJsonArrayFormat value)`
`void`
TDBSqlResultFormat.`setJsonArrayFormat(TDBSqlJsonArrayFormat value)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TDBSqlJsonArrayFormat
Modifier
Constructor
Description
``
`TDBSqlJsonArrayFormat(TDBSqlJsonArrayFormat other)`
Performs a deep copy on other.